<bugID>216931<Summary>"Advanced" panel in prefs is not good UI</Summary><Description>Spin-off from bug 187989 as requested.

Firebird recently acquired an "Advanced" panel. This is bad UI for the
following reasons :

o it does not label the contents semantically (user does not know what's
in there, and will end up searching it)
o definitions of what "Advanced" means vary between users. Why is enabling
auto-scrolling advanced ? Why am I an "advanced" user if I want to load tabs
in the background ?
o it humiliates the user ("you're too stupid to see what's in here"). This
sounds like a frivolous point, but it is not.
o Advanced panels historically tend to encourage "dump any and all prefs there
without regards to design"

A solution would require a re-working of the current categories in all
likelihood, and some thought about future expansion. As the current plans
seem to be to add lots and lots more prefs by default, there's little point
attempting a redesign currently (but of course, this does not invalidate
the bug itself)</Description></bugID>